<?php

require_once 'base/ClienteEntityBase.php';

/**
 * ClienteEntity
 *
 * This class has been auto-generated by the Doctrine ORM Framework
 *
 * @package    TkEntity
 * @subpackage Entity
 * @author     SetForms Team <development@setforms.com>
 * @version    Release: SVN: $Id: Builder.php 6508 2009-10-14 06:28:49Z jwage $
 */
class ClienteEntity extends ClienteEntityBase
{


    /**
     * Consulta na tabela Cliente.
     *
     * @param string  $cdcliente C�digo do Cliente.
     * @param integer $nrorg     Número da Organização.
     *
     * @return Ambigous <mixed, NULL>
     */
    public static function retornaCliente($cdcliente, $nrorg){

        return Cliente::consultaCliente($cdcliente, $nrorg);


    }


    /**
     * Consulta cliente pelo nº do parceiro.
     *
     * @param integer $nrparc Nº do parceiro.
     * @param integer $nrorg  Nº Organização.
     *
     * @return Ambigous <mixed, NULL>
     */
    public static function consultaClienteParcnegocio($nrparceiro, $nrorg){

        return Cliente::consultaClienteParcnegocio($nrparceiro, $nrorg);


    }


    /**
     * Consulta cliente pelo nº do parceiro.
     *
     * @param integer $nrparc Nº do parceiro.
     * @param integer $nrorg  Nº Organização.
     *
     * @return Ambigous <mixed, NULL>
     */
    public static function  consultaPrecobaseCliente($nrparc, $nrorg){
        return Cliente::consultaPrecobaseCliente($nrparc, $nrorg);
    }
    
    /**
     * Cria um novo registro de Cliente.
     *
     * @param integer	$nrparcnegocio		Numero do Parceiro de Negócio
     * @param string	$cdtipoinscricao	Codigo do tipo de Inscrição
     * @param integer	$nrinscricaoparc	Numero da Inscrição do Parceiro
     * @param string	$nome				Nome do Parceiro
     * @param string	$nomereduzido		Nome Reduzido do Parceiro
     * @param integer	$nrorg				Numero da Organização
     *
     *
     * @return void
     *
     * @author gustavosilva - 23/05/2012
     */
    public static function createNewCliente($nrparcnegocio, $cdtipoinscricao, $nrinscricaoparc, $nome, $nomereduzido, $nrorg, $dtnascclie, $cdsegmer){
    	
    try{
            $cliente = new self();
            $cliente->setNrparcnegocio($nrparcnegocio);
            $cliente->setCdcliente(Novocodigo::geraCodigo(Ambiente::getNrorg(), 'CLIENTE', 10));
            $cliente->setIdtpijurclie($cdtipoinscricao);
            $cliente->setNrinsjurclie($nrinscricaoparc);
            $cliente->setNmrazsocclie($nome);
            $cliente->setNmfantclie($nomereduzido);
            $cliente->setCdsegmer($cdsegmer);
            $cliente->setDtnascclie($dtnascclie);
            $cliente->setNrorg($nrorg);
            FctUtil::newEntityAudit($cliente);
            $cliente->persist();
    	
    }catch(Exception $e){
    	
    	throw $e;
    	
    }
    
    
    }
    
    /**
     * Deleta um cliente pelo numero do parceiro.
     *
     * @param integer $nrparcnegocio 	Numero do Parceiro de Negócio
     * @param integer $nrorg			Numero da Organização
     *
     * @return void
     *
     * @author gustavosilva - 23/05/2012
     */
    public static function deleteClienteFromNrparcnegocio($nrparcnegocio, $nrorg){
    	
    	
    	Cliente::deleteClienteFromNrparcnegocio($nrparcnegocio, $nrorg);
    	
    	
    }

    public static function consultaClientesParcnegocio(array $pksParcnegocio, $nrorg)
    {
        try{
            $in = implode(',', $pksParcnegocio);
            return Cliente::consultaClientesParcnegocio($in, $nrorg);
        } catch(PDOException $e) {
            throw $e;
        }
    }


}

